package edu.byu.cs240.bookclub;

import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;

import edu.byu.cs240.bookclub.database.BookDAO;
import edu.byu.cs240.bookclub.database.DbOpenHelper;
import edu.byu.cs240.bookclub.model.Book;
import edu.byu.cs240.bookclub.model.Genre;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fab);
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
            }
        });

        DbOpenHelper dbOpenHelper = new DbOpenHelper(getBaseContext());

        SQLiteDatabase db = dbOpenHelper.getWritableDatabase();
        db.beginTransaction();

        BookDAO dao = new BookDAO(db);
        Book book = new Book();
        book.setTitle("Killing Reagan");
        book.setAuthor("Bill O'Reilly");
        book.setGenre(Genre.NonFiction);
        dao.addBook(book);

        db.setTransactionSuccessful();
        db.endTransaction();
        dbOpenHelper.close();
    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
